#include "triangles.h"
#include <bits/stdc++.h>
using ll = long long;
using namespace std;
#define all(a) a.begin(), a.end()

int getp(int n, int a = -1, int b = -1) {
    int mx = -1;
    if (a == -1) {
        a = 0;
        while (a == b) a++;
    }
    if (b == -1) {
        b = 0;
        while (a == b) b++;
    }
    for (int i = 0; i < n; i++) {
        if (i != a && i != b && i != mx) {
            if (mx == -1 ||
                compare({Triangle(a, b, mx)},
                        {Triangle(a, b, i)}) == -1) {
                mx = i;
            }
        }
    }
    return mx;
}

vector<vector<int> > solve(int n) {
    int x = getp(n);
    int y = getp(n, x);
    int z = getp(n, x, y);
    return {{x, y, z}};
}
